PedigreeDescription Class Reference
Inheritance diagram for PedigreeDescription:
[legend]
Collaboration diagram for PedigreeDescription:
[legend]

## Public Member Functions

void | Load (IFILE &Input, bool warnIfLinkage=false)
void | Load (const char *filename, bool warnIfLinkage=false)
void | LoadLinkageDataFile (IFILE &input)
void | LoadLinkageDataFile (const char *filename)
void | LoadMendelDataFile (IFILE &input)
void | LoadMendelDataFile (const char *filename)
void | LoadMap (IFILE &Input)
void | LoadMap (const char *filename)
PedigreeDescription & | operator= (PedigreeDescription &rhs)
int | CountTextColumns ()
const char * | ColumnSummary (String &string)
void | AddMarkerColumn (const char *markerName)
void | AddTraitColumn (const char *traitName)
void | AddAffectionColumn (const char *affectionName)
void | AddCovariateColumn (const char *covariateName)
void | AddStringColumn (const char *stringName)
void | AddZygosityColumn ()
void | AddSkippedColumn ()

## Public Attributes

int | columnCount
IntArray | columns
IntArray | columnHash
bool | mendelFormat
String | filename

## Additional Inherited Members

Static Public Member Functions inherited from PedigreeGlobals
static int | GetTraitID (const char *name)
static int | GetMarkerID (const char *name)
static int | GetCovariateID (const char *name)
static int | GetAffectionID (const char *name)
static int | GetStringID (const char *name)
static int | LookupTrait (const char *name)
static int | LookupMarker (const char *name)
static int | LookupCovariate (const char *name)
static int | LookupAffection (const char *name)
static int | LookupString (const char *name)
static void | GrowMarkerInfo ()
static MarkerInfo * | GetMarkerInfo (String &name)
static MarkerInfo * | GetMarkerInfo (int marker)
static int | SortMarkersInMapOrder (IntArray &markers, int chromosome=-1)
static void | GetOrderedMarkers (IntArray &markers)
static void | FlagMissingMarkers (IntArray &missingMarkers)
static bool | MarkerPositionsAvailable ()
static bool | AlleleFrequenciesAvailable ()
static void | VerifySexSpecificOrder ()
static void | LoadAlleleFrequencies (const char *filename, bool required=false)
static void | LoadAlleleFrequencies (IFILE &file)
static void | LoadMarkerMap (const char *filename, bool filter=false)
static void | LoadMarkerMap (IFILE &file, bool filter=false)
static void | LoadBasepairMap (const char *filename)
static void | LoadBasepairMap (IFILE &file)
static void | WriteMapFile (const char *filename)
static void | WriteMapFile (FILE *file)
static void | WriteFreqFile (const char *filename, bool old_format=false)
static void | WriteFreqFile (FILE *file, bool old_format=false)
static int | LoadAllele (int marker, String &label)
static int | LoadAllele (MarkerInfo *info, String &label)
Static Public Attributes inherited from PedigreeGlobals
static int | traitCount = 0
static int | markerCount = 0
static int | affectionCount = 0
static int | covariateCount = 0
static int | stringCount = 0
static bool | chromosomeX = false
static bool | sexSpecificMap = false
static StringArray | traitNames
static StringArray | covariateNames
static StringArray | affectionNames
static StringArray | markerNames
static StringArray | stringNames
static StringIntHash | markerLookup
static StringIntHash | traitLookup
static StringIntHash | affectionLookup
static StringIntHash | covariateLookup
static StringIntHash | stringLookup
static int | markerInfoCount = 0
static int | markerInfoSize = 0
static MarkerInfo ** | markerInfo = NULL
static StringHash | markerInfoByName
static MarkerInfo ** | markerInfoByInteger = NULL

## Detailed Description

Definition at line 41 of file PedigreeDescription.h.

The documentation for this class was generated from the following files:

- general/PedigreeDescription.h
- general/PedigreeDescription.cpp